Name:          git-lfs
Version:       3.2.0
Release:       1mamba
Summary:       Git extension for versioning large files
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git-lfs.github.com/
Source:        https://github.com/git-lfs/git-lfs.git/v%{version}/git-lfs-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: go
BuildRequires: ruby-ronn-ng

%description
Git extension for versioning large files.

%debug_package

%prep
%setup -q

%build
export GOFLAGS="-buildmode=pie -trimpath -mod=vendor -modcacherw -ldflags=-linkmode=external"
go generate ./commands
go build .
make man

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m755 git-lfs %{buildroot}%{_bindir}/git-lfs
install -D -m644 -t %{buildroot}%{_mandir}/man1 man/man1/*.1
install -D -m644 -t %{buildroot}%{_mandir}/man5 man/man5/*.5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/git-lfs
%{_mandir}/man1/git-lfs*.1*
%{_mandir}/man5/git-lfs-config.5*
%doc LICENSE.md

%changelog
* Sat May 28 2022 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-1mamba
- package created using the webbuild interface
